#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include "Fl_Chart3d.H"


// g++ -I. -c Fl_Chart3d.cxx
// g++ test.cxx -o test Fl_Chart3d.o $(fltk-config --ldflags) && ./test
int main () {
 Fl::get_system_colors();
 Fl_Double_Window win(0,0,400,400,"3d chart");
 
 Fl_Chart3d chart(0,0,400,400);
 chart.set_size(5); // reserve size for 5 slice - avoid reallocation memory
 
 /// void set_slice(double val, Fl_Color col, const char* txt, char detach=0, int index = -1);
 chart.set_slice(72.0, 0xFFB99B00, "value 72.0", 1, 0);
 chart.set_slice(11.0, 0xFF8AEE00, "value 11.0", 0, 1);
 chart.set_slice(20.0, 0xABEFFF00, "value 20.0", 0, 2);
 chart.set_slice(5.0, fl_color_average(FL_RED, FL_WHITE, 0.5), "value 5.0", 0, 3);
 chart.set_slice(31.0, fl_color_average(FL_GREEN, FL_WHITE, 0.5), "value 31.0", 1, 4);
 
 win.end();
 win.show();
 
 return Fl::run();
}
